Loading...
Searching...
No Matches
std::tuple_element< i, t< types... > > Struct Template Reference

Obtains the type of the specified element. More...

`#include <seqan3/utility/tuple/pod_tuple.hpp>`

Inheritance diagram for std::tuple_element< i, t< types... > >:
[legend]

## Public Types

using | type = seqan3::pack_traits::at<i, types...>
| Element type.

## Detailed Description

template<std::size_t i, template< typename... > typename t, typename... types>
requires (i < sizeof...(types)) && std::is_base_of_v<seqan3::pod_tuple<types...>, t<types...>>
struct std::tuple_element< i, t< types... > >

Obtains the type of the specified element.

See also
  std::tuple_element

The documentation for this struct was generated from the following file:

- pod_tuple.hpp

Hide me